Subject: Re: [PATCH net v2 2/2] vxlan: support ndo_fill_metadata_dst also for IPv6

From: Jiri Benc <[email-masked]>
Date: Mon, 7 Dec 2015 11:19:55 +0100

On Fri, 04 Dec 2015 14:28:38 -0500 (EST), David Miller wrote:
> From: Pravin Shelar <[email-masked]>
> > Rather than checking IS_ENABLED(CONFIG_IPV6) three separate times, all
> > code can is restructured in one #if #else block by moving the ndst
> > definition to IPv6 local block.
> 
> Agreed, you should be putting variable definitions into the deepest most
> containing scope anyways.  So if you declare 'ndst' inside of the else
> branch you'll be doing that plus decreasing the amount of CPP tests in
> this file.

No problem. I actually had it that way but decided that I didn't like
the #if #else maze. I'll change it and send v3.

 Jiri

-- 
Jiri Benc